PETSc version 3.15.5
Fix/Edit manual page

# DMPlexVecSetClosure

Set an array of the values on the closure of 'point'

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVecSetClosure(DM dm, PetscSection section, Vec v, PetscInt point, const PetscScalar values[], InsertMode mode)

Not collective

### Input Parameters

| dm | - The DM
| section | - The section describing the layout in v, or NULL to use the default section
| v | - The local vector
| point | - The point in the DM
| values | - The array of values
| mode | - The insert mode. One of INSERT_ALL_VALUES, ADD_ALL_VALUES, INSERT_VALUES, ADD_VALUES, INSERT_BC_VALUES, and ADD_BC_VALUES, where INSERT_ALL_VALUES and ADD_ALL_VALUES also overwrite boundary conditions.

### Fortran Notes

This routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMPlexVecGetClosure(), DMPlexMatSetClosure()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/tutorials/ex6.c.html
src/snes/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages